#module imports
from fielddisplay import fielddisplay

class rifts:
	#properties
	def __init__(self):
		# {{{ Properties
		self.riftstruct     = float('NaN')
		self.riftproperties = float('NaN')

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string='   rifts parameters:'

		string="%s\n\n%s"%(string,fielddisplay(obj,'riftstruct','structure containing all rift information (vertices coordinates, segments, type of melange, ...)'))
		string="%s\n%s"%(string,fielddisplay(obj,'riftproperties',''))
		return string
		#}}}
		
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

